# $Revision: 1.6 $, $Date: 2005/02/06 20:23:32 $
Summary:	estraier - a full-text search engine
Summary(pl):	estraier - silnik przeszukiwania penotekstowego
Name:		estraier
Version:	1.2.26
Release:	1
License:	GPL
Group:		Applications/Text
Source0:	http://estraier.sourceforge.net/%{name}-%{version}.tar.gz
# Source0-md5:	95814a77ca26bb89cdbde6e98d5bc1d1
URL:		http://estraier.sourceforge.net/
BuildRequires:	chasen-devel
BuildRequires:	kakasi-devel
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
estraier is a full-text search system for personal use. Full-text
search means functions to search lots of documents for some documents
including specified words. The principal purpose of Estraier is to
realize a full-text search system of a web site. It functions
similarly to Google, but for a personal web site or sites in an
intranet.

%description -l pl
estraier to system przeszukiwania penotekstowego do uytku
wasnego. Przeszukiwanie penotekstowe oznacza funkcje do szukania w
duej liczbie dokumentw pewnych dokumentw zawierajcych okrelone
sowa. Zasadniczym celem Straiera jest realizacja systemu
przeszukiwania penotekstowego dla serwisu WWW. Dziaa podobnie do
Google, ale dla wasnej strony lub w intranecie.

%prep
%setup -q

%build
%configure \
	--libexecdir=%{_libdir}/%{name} \
	--enable-regex \
	--enable-chasen \
	--enable-kakasi

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ChangeLog README
%attr(755,root,root) %{_bindir}/*
%{_datadir}/%{name}
%dir %{_libdir}/%{name}
%attr(755,root,root) %{_libdir}/%{name}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: estraier.spec,v $
Revision 1.6  2005/02/06 20:23:32  adamg
- updated to 1.2.26

Revision 1.5  2004/11/15 16:09:50  paladine
- updated to 1.2.25

Revision 1.4  2004/09/05 08:27:16  paszczus
- updated to 1.2.24

Revision 1.3  2004/08/26 20:07:32  paszczus
- updated to 1.2.23

Revision 1.2  2004/06/27 09:39:18  qboosh
- pl

Revision 1.1  2004/06/26 22:45:31  arekm
- initial pld release
